<template>
  <v-row justify="center">
    <v-dialog v-model="dialog" width="30em" persistent>
      <v-card>
        <v-card-title>
          <span class="text-h5">{{ title }}?</span>
        </v-card-title>
        <v-card-subtitle>
          {{ subtitle }}
        </v-card-subtitle>
        <v-card-actions>
          <v-spacer></v-spacer>
          <v-btn size="small" color="success" @click="confirm" variant="elevated">Ok</v-btn>
          <v-btn size="small" @click="dialog = false" variant="elevated">Cancel</v-btn>
        </v-card-actions>
      </v-card>
    </v-dialog>
  </v-row>
</template>

<script>

export default {
  name: 'Confirm',
  emits: [ 'okConfirm', 'cancelConfirm' ],
  props: [ 'show', 'title', 'subtitle' ],
  methods: {
    confirm() {
      this.$emit('okConfirm')
    }
  },
  data() {
    return {}
  },
  computed: {
    dialog: {
      get() { return this.show },
      set() { this.$emit('cancelConfirm') }
    }
  }
}
</script>